# UsfUtils

English</a> | <a href="README_CN.md">简体中文</a>

[![PyPI](https://img.shields.io/pypi/v/usfutils)](https://pypi.org/project/usfutils/) [![License](https://img.shields.io/badge/license-Apache%202.0-green.svg)](LICENSE)

This is an open-source universal toolkit named **Useful Utilities** for **Deep Learning**, **Machine Learning**, and
other Python projects.

## 🚩Features

- Aiming to provide frequently-used functions mainly about **log management**, **configuration management**, and **file/directory management**.
- To help researchers and engineers avoid wasteful duplication of effort.
- Rely solely on native Python / Pytorch and does not depend on any other third-party package.

## 🚀What's New?

- 2023.11.29 Add object-load module; Release version 2.0.0
- 2023.11.28 Add data type UsfDict and integrate it with UsfConfig; Release version 1.0.0
- 2023.11.27 Add statistical modules, such as statistical model parameters
- 2023.11.17 Add basic log management functions: initialize logger and manage multi-process logs
- 2023.11.16 Add basic directory management functions: create, rename, and scan
- 2023.11.16 Initialization

## 💻How to Install?

Environmental requirements: Python 3.x

It is suggested to install it via the following command:

```shell
pip install usfutils
```

Or installing through source code:

```shell
git clone https://github.com/chenaoxuan/UsfUtils.git
cd UsfUtils
pip install .
```

## Reference

Some modules of this project refer to the following repos:

[BasicSR](https://github.com/XPixelGroup/BasicSR.git)

[omegaconf](https://github.com/omry/omegaconf.git)

[Pytorch Lightning](https://github.com/Lightning-AI/lightning.git)

[easydict](https://github.com/makinacorpus/easydict.git)
